com.corticon.eclipse.core

## Interface IModelAPIState

-     public interface IModelAPIState

  Model API State interface. Instances of this interface contain API state information which may (or may not) be shared across model API instances.

- - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `activateResource(org.eclipse.emf.ecore.resource.Resource aResource)` Activate the specified resource.
    `void` | `addBatchedModelListener(IBatchedChangeListener aIBatchedChangedListener)` Add a batched EMF model listener (i.e., subscribe).
    `void` | `addLowLevelModelListener(org.eclipse.emf.edit.provider.INotifyChangedListener aINotifyChangedListener)` Add a low-level EMF model listener (i.e., subscribe).
    `void` | `addModelListener(org.eclipse.emf.edit.provider.INotifyChangedListener aINotifyChangedListener)` Add an EMF model listener (i.e., subscribe).
    `void` | `addPostLoadComplete(org.eclipse.emf.ecore.resource.Resource aResource, java.lang.Class aClass)` Add a resource/API class to the set to indicate that post-load processing has been completed for the resource/API class.
    `void` | `addResourceListener(IResourceListener aIResourceListener)` Add a Resource listener (i.e., subscribe).
    `void` | `addValidateComplete(org.eclipse.emf.ecore.resource.Resource aResource, java.lang.Class aClass, java.lang.Object aObjectNotification)` Add a class to indicate that validation processing has been successfully performed for a given API in response to a given notification.
    `boolean` | `beginTransaction()` Method to begin a new transaction using a ChangeRecorder.
    `boolean` | `cancelTransaction()` Method to cancel a transaction.
    `void` | `closeResource(org.eclipse.emf.ecore.resource.Resource aResource)` Close the specified resource.
    `void` | `conditionallyDisplayLoadResults()` Conditionally display messages regarding assets that are upgraded and/or revalidated.
    `org.eclipse.emf.ecore.resource.Resource` | `createResource(org.eclipse.emf.common.util.URI aURIResource)` Using the specified URI, create a new Resource in the editing domain and return that Resource to the caller.
    `void` | `dispatchBatchedNotifications()` Dispatch all queued notifications.
    `void` | `dispose()` Dispose of this Model API State instance.
    `boolean` | `endTransaction()` Method to end the current transaction.
    `boolean` | `endTransaction(boolean abRecord)` Method to end the current transaction.
    `boolean` | `endTransaction(boolean abRecord, org.eclipse.emf.ecore.resource.Resource aResourcePrimary)` Method to end the current transaction.
    `org.eclipse.emf.ecore.resource.Resource` | `findResource(org.eclipse.emf.common.util.URI aURI)` Find the Resource corresponding to the specified URI in the ResourceSet.
    `void` | `flushCommandStack()` Flush the command stack, removing any undoable change events.
    `java.util.List` | `getBatchedModelListeners()` Returns the list of batched model listeners.
    `org.eclipse.emf.common.notify.Adapter` | `getChangeNotificationHandler()` Adapter registered with the EditingDomain ResourceSet
    `org.eclipse.emf.ecore.change.util.ChangeRecorder` | `getChangeRecorder()` Method to return the current ChangeRecorder.
    `int` | `getChangeRecorderUsageCount()` Getter for ChangeRecorder usage count.
    `org.eclipse.emf.edit.domain.AdapterFactoryEditingDomain` | `getEditingDomain()` Getter for the editing domain.
    `java.util.Locale` | `getLocale()` Get API Locale.
    `java.util.List` | `getLowLevelModelListeners()` Returns the list of low-level model listeners.
    `IMessageBoxDelegate` | `getMessageBoxDelegate()` Get the message box delegate for this API.
    `java.util.List` | `getModelListeners()` Returns the list of model listeners.
    `long` | `getModificationStamp(org.eclipse.emf.ecore.resource.Resource aResource)` Get the in-memory modification stamp for the specified resource.
    `NotificationBatch` | `getNotificationBatch()` Returns the current notification batch.
    `IPersistenceServicesDelegate` | `getPersistenceServicesDelegate()` Get the persistence services delegate for this API.
    `IPreferences` | `getPreferences()` Return the preferences service.
    `IPreferencesDelegate` | `getPreferencesDelegate()` Get the optional preferences delegate for the API.
    `java.util.List` | `getResourceListeners()` Returns the list of Resource listeners.
    `IScrollableMessageDelegate` | `getScrollableMessageDelegate()` Get the scrollable message delegate for this API.
    `com.corticon.license.IStudioLicense` | `getStudioLicense()` Return the Studio License if it exists.
    `IUserInterfaceInfoDelegate` | `getUserInterfaceInfoDelegate()` Get the user interface info delegate for this API.
    `boolean` | `isBatchNotifications()` Accessor method for indicator that controls EMF model change notification queuing.
    `boolean` | `isDebugSysout()` Accessor method for system diagnostics state.
    `boolean` | `isDisableRefresh()` Accessor method for disable refresh state.
    `boolean` | `isDisableTransactions()` Getter for disable transactions mode.
    `boolean` | `isInhibitNotification()` Accessor method for indicator that controls EMF model change notification.
    `boolean` | `isOperationModeNormal()` Determine whether operation mode is normal (i.e., no undo/redo in progress).
    `boolean` | `isOperationModeRedo()` Determine whether redo is in progress.
    `boolean` | `isOperationModeUndo()` Determine whether undo is in progress.
    `boolean` | `isPostLoadComplete(org.eclipse.emf.ecore.resource.Resource aResource, java.lang.Class aClass)` Check to determine whether post-load processing has been completed for the specified Resource/API class.
    `boolean` | `isPostLoadInProgress()` Check to determine whether post load processing is currently in progress.
    `boolean` | `isResourceActivated(org.eclipse.emf.ecore.resource.Resource aResource)` Check to determine whether the specified resource is activated.
    `boolean` | `isResourceConflict(org.eclipse.emf.ecore.resource.Resource aResource)` Determine whether the given Resource has a modification stamp on disk that differs from that which is recorded in the API.
    `boolean` | `isResourceDemandLoaded(org.eclipse.emf.ecore.resource.Resource aResource)` Check to determine whether the specified resource was demand-loaded via loadResource as opposed to lazy-loaded.
    `boolean` | `isResourceLoaded(org.eclipse.emf.ecore.resource.Resource aResource)` Determine whether the specified resource is loaded.
    `boolean` | `isResourceReferenced(org.eclipse.emf.common.util.URI aURI)` Determine whether the resource, specified by a URI, is referenced by any other resource that is currently in the editing domain.
    `boolean` | `isResourceRevalidated(org.eclipse.emf.ecore.resource.Resource aResource)` Determine whether the resource was revalidated in postLoad.
    `boolean` | `isResourceUpgraded(org.eclipse.emf.ecore.resource.Resource aResource)` Determine whether the resource was upgraded in postLoad.
    `boolean` | `isSaveInProgress()` Check to determine whether save is in progress.
    `boolean` | `isScrollableMessageDelegateAvailable()` Check to determine whether scrollable message delegate is available.
    `boolean` | `isSuppressMessageBoxes()` Check to determine whether message box display is currently suppressed.
    `boolean` | `isSuppressModifiedFlagUpdates()` Check to determine whether updates to the resource modified flag are being suppressed.
    `boolean` | `isSuppressPostLoad()` Check to determine whether post load processing is currently suppressed.
    `boolean` | `isTransactionInProgress()` Return `true` if a transaction is currently in progress.
    `boolean` | `isValidateComplete(org.eclipse.emf.ecore.resource.Resource aResource, java.lang.Class aClass, java.lang.Object aObjectNotification)` Check to determine whether validation processing has been completed for the specified Resource/API class/Notification.
    `org.eclipse.emf.ecore.resource.Resource` | `loadResource(org.eclipse.emf.common.util.URI aURIResource)` Convenience method to load the the editing domain's resource set with the contents of the specified file.
    `org.eclipse.emf.ecore.resource.Resource` | `loadResource(org.eclipse.emf.common.util.URI aURIResource, boolean abDemandLoad)` Convenience method to load the the editing domain's resource set with the contents of the specified file.
    `void` | `redo()` Redo current changes.
    `org.eclipse.emf.ecore.resource.Resource` | `reloadResource(org.eclipse.emf.ecore.resource.Resource aResource)` Reload the specified resource (unload/load).
    `void` | `removeBatchedModelListener(IBatchedChangeListener aIBatchedChangedListener)` Remove an batched EMF model listener (i.e., un-subscribe).
    `void` | `removeLowLevelModelListener(org.eclipse.emf.edit.provider.INotifyChangedListener aINotifyChangedListener)` Remove a low-level EMF model listener (i.e., un-subscribe).
    `void` | `removeModelListener(org.eclipse.emf.edit.provider.INotifyChangedListener aINotifyChangedListener)` Remove an EMF model listener (i.e., un-subscribe).
    `void` | `removePostLoadComplete(org.eclipse.emf.ecore.resource.Resource aResource)` Remove all post-load completion records for the specified resource.
    `void` | `removeResource(org.eclipse.emf.ecore.resource.Resource aResource)` Remove the specified resource from the resource set.
    `void` | `removeResourceListener(IResourceListener aIResourceListener)` Remove a resource listener (i.e., un-subscribe).
    `boolean` | `rollbackTransaction()` Rollback the current transaction, leaving the API in its state as of the first beginTransaction.
    `void` | `saveAll()` Save all resource changes.
    `void` | `saveResource(org.eclipse.emf.ecore.resource.Resource aResource)` Save the contents of the specified resource to the file system with no special options.
    `void` | `setBatchNotifications(boolean abQueueNotifications)` Setter for indicator that controls EMF model change notification queueing.
    `void` | `setChangeRecorder(org.eclipse.emf.ecore.change.util.ChangeRecorder aChangeRecorder)` Method to set the current ChangeRecorder.
    `void` | `setChangeRecorderUsageCount(int aiChangeRecorderUsageCount)` Setter for ChangeRecorder usage count.
    `void` | `setDebugSysout(boolean abDebugSysout)` Setter to enable system output diagnostics.
    `void` | `setDisableRefresh(boolean abDisableRefresh)` Setter to disable/enable automatic refresh of workspace on asset save.
    `void` | `setDisableTransactions(boolean abDisableTransactions)` Setter to disable/enable transactions.
    `void` | `setEditingDomain(org.eclipse.emf.edit.domain.AdapterFactoryEditingDomain aAdapterFactoryEditingDomain)` Setter for the editing domain.
    `void` | `setInhibitNotification(boolean abInhibitNotification)` Setter for indicator that controls EMF model change notification.
    `void` | `setLocale(java.util.Locale aLocale)` Set API Locale.
    `void` | `setMessageBoxDelegate(IMessageBoxDelegate aIMessageBoxDelegate)` Set the optional message box delegate for the API.
    `void` | `setModelListeners(java.util.List aListModelListeners)` Set the list of model listeners.
    `void` | `setModificationStamp(org.eclipse.emf.ecore.resource.Resource aResource, long alModificationStamp)` Set the modification stamp for the specified Resource.
    `void` | `setPersistenceServicesDelegate(IPersistenceServicesDelegate aIPersistenceServicesDelegate)` Set the optional persistence services delegate for the API.
    `void` | `setPostLoadInProgress(boolean abPostLoadInProgress)` Setter for post load in progress indicator.
    `void` | `setPreferencesDelegate(IPreferencesDelegate aIPreferencesDelegate)` Set the optional preferences delegate for the API.
    `void` | `setSaveInProgress(boolean abSaveInProgress)` Setter for save in progress indicator.
    `void` | `setScrollableMessageDelegate(IScrollableMessageDelegate aIScrollableMessageDelegate)` Set the optional scrollable messages delegate for the API.
    `void` | `setSuppressMessageBoxes(boolean abSuppressMessageBoxes)` Setter for suppress message boxes indicator.
    `void` | `setSuppressModifiedFlagUpdates(boolean abSuppressModifiedFlagUpdates)` Setter for suppress modified flag updates indicator.
    `void` | `setSuppressPostLoad(boolean abSuppressPostLoad)` Setter for suppress post load indicator.
    `void` | `setUserInterfaceInfoDelegate(IUserInterfaceInfoDelegate aIUserInterfaceInfoDelegate)` Set the optional user interface info delegate for the API.
    `void` | `signalRevalidated(org.eclipse.emf.ecore.resource.Resource aResource)` Signal that the specified Resource was revalidated in postLoad by recording it LoadResults.
    `void` | `signalUpgraded(org.eclipse.emf.ecore.resource.Resource aResource)` Signal that the specified Resource was upgraded in postLoad by recording it LoadResults.
    `void` | `undo()` Undo current changes.
    `void` | `unloadResource(org.eclipse.emf.ecore.resource.Resource aResource)` Unload the specified resource.

- - ### Method Detail

    - #### activateResource

          void activateResource(org.eclipse.emf.ecore.resource.Resource aResource)

      Activate the specified resource.
      Parameters:
        `aResource` - Resource to be activated.

    - #### addModelListener

          void addModelListener(org.eclipse.emf.edit.provider.INotifyChangedListener aINotifyChangedListener)

      Add an EMF model listener (i.e., subscribe).
      Parameters:
        `aINotifyChangedListener` - Listener instance to add to subscription list.

    - #### addBatchedModelListener

          void addBatchedModelListener(IBatchedChangeListener aIBatchedChangedListener)

      Add a batched EMF model listener (i.e., subscribe).
      Parameters:
        `aIBatchedChangedListener` - Batched listener instance to add to subscription list.

    - #### addLowLevelModelListener

          void addLowLevelModelListener(org.eclipse.emf.edit.provider.INotifyChangedListener aINotifyChangedListener)

      Add a low-level EMF model listener (i.e., subscribe).
      Parameters:
        `aINotifyChangedListener` - Listener instance to add to subscription list.

    - #### addPostLoadComplete

          void addPostLoadComplete(org.eclipse.emf.ecore.resource.Resource aResource,
                                 java.lang.Class aClass)

      Add a resource/API class to the set to indicate that post-load processing has been completed for the resource/API class.
      Parameters:
        `aResource` - Resource for which post-load processing has been completed.
        `aClass` - API class for which post-load processing has been completed.

    - #### addResourceListener

          void addResourceListener(IResourceListener aIResourceListener)

      Add a Resource listener (i.e., subscribe).
      Parameters:
        `aIResourceListener` - Resource listener instance to add to subscription list.

    - #### addValidateComplete

          void addValidateComplete(org.eclipse.emf.ecore.resource.Resource aResource,
                                 java.lang.Class aClass,
                                 java.lang.Object aObjectNotification)

      Add a class to indicate that validation processing has been successfully performed for a given API in response to a given notification.
      Parameters:
        `aResource` - Resource for which validation processing has been completed.
        `aClass` - API class for which validation processing has been completed.
        `aObjectNotification` - Notification object instance.

    - #### beginTransaction

          boolean beginTransaction()

      Method to begin a new transaction using a ChangeRecorder. This method will automatically create a new ChangeRecorder if one has not yet been created. This method also manages the usage count, allowing multiple transactions to begin that share a single recorder.
      Returns:
        `true` if transaction successfully started.

    - #### cancelTransaction

          boolean cancelTransaction()

      Method to cancel a transaction. This method will zero the usage count and stop the change recorder.
      Returns:
        `true` if transaction successfully canceled.

    - #### closeResource

          void closeResource(org.eclipse.emf.ecore.resource.Resource aResource)

      Close the specified resource.
      Parameters:
        `aResource` - Resource to be closed.

    - #### conditionallyDisplayLoadResults

          void conditionallyDisplayLoadResults()

      Conditionally display messages regarding assets that are upgraded and/or revalidated.

    - #### createResource

          org.eclipse.emf.ecore.resource.Resource createResource(org.eclipse.emf.common.util.URI aURIResource)

      Using the specified URI, create a new Resource in the editing domain and return that Resource to the caller.
      Parameters:
        `aURIResource` - URI of Resource to be created.
      Returns:
        Reference to new Resource.

    - #### dispatchBatchedNotifications

          void dispatchBatchedNotifications()

      Dispatch all queued notifications.

    - #### dispose

          void dispose()

      Dispose of this Model API State instance.

    - #### endTransaction

          boolean endTransaction()

      Method to end the current transaction. This method will decrement the ChangeRecorder usage count; when the count reaches zero, this method will add a new command to the command stack, allowing the entire transaction to be subject to undo.
      Returns:
        `true` if transaction successfully completed.

    - #### endTransaction

          boolean endTransaction(boolean abRecord)

      Method to end the current transaction. This method will either record the transaction or discard the recorded data.
      Parameters:
        `abRecord` - `true` to record transaction in command stack.
      Returns:
        `true` if transaction successfully completed.

    - #### endTransaction

          boolean endTransaction(boolean abRecord,
                               org.eclipse.emf.ecore.resource.Resource aResourcePrimary)

      Method to end the current transaction. This method will either record the transaction or discard the recorded data.
      Parameters:
        `abRecord` - `true` to record transaction in command stack.
        `aResourcePrimary` - Optional reference to primary resource in API that created this transaction.
      Returns:
        `true` if transaction successfully completed.

    - #### findResource

          org.eclipse.emf.ecore.resource.Resource findResource(org.eclipse.emf.common.util.URI aURI)

      Find the Resource corresponding to the specified URI in the ResourceSet.
      Parameters:
        `aURI` - URI to locate.
      Returns:
        Resource instance or `null`.

    - #### flushCommandStack

          void flushCommandStack()

      Flush the command stack, removing any undoable change events.

    - #### getChangeNotificationHandler

          org.eclipse.emf.common.notify.Adapter getChangeNotificationHandler()

      Adapter registered with the EditingDomain ResourceSet
      Returns:
        Adapter

    - #### getChangeRecorder

          org.eclipse.emf.ecore.change.util.ChangeRecorder getChangeRecorder()

      Method to return the current ChangeRecorder.
      Returns:
        ChangeRecorder instance.

    - #### getChangeRecorderUsageCount

          int getChangeRecorderUsageCount()

      Getter for ChangeRecorder usage count.
      Returns:
        ChangeRecorder usage count.

    - #### getEditingDomain

          org.eclipse.emf.edit.domain.AdapterFactoryEditingDomain getEditingDomain()

      Getter for the editing domain. This method will automatically create a default editing domain if one has not yet been provided by the caller.
      Returns:
        EditingDomain instance.

    - #### getLocale

          java.util.Locale getLocale()

      Get API Locale.
      Returns:
        Locale in effect for this API.

    - #### getMessageBoxDelegate

          IMessageBoxDelegate getMessageBoxDelegate()

      Get the message box delegate for this API.
      Returns:
        Message box delegate or `null` if none has been specified.

    - #### getModelListeners

          java.util.List getModelListeners()

      Returns the list of model listeners.
      Returns:
        List of model listeners.

    - #### getBatchedModelListeners

          java.util.List getBatchedModelListeners()

      Returns the list of batched model listeners.
      Returns:
        List of batched model listeners.

    - #### getLowLevelModelListeners

          java.util.List getLowLevelModelListeners()

      Returns the list of low-level model listeners.
      Returns:
        List of low-level model listeners.

    - #### getPersistenceServicesDelegate

          IPersistenceServicesDelegate getPersistenceServicesDelegate()

      Get the persistence services delegate for this API.
      Returns:
        Persistence services delegate or default implementation if none has been specified.

    - #### getPreferences

          IPreferences getPreferences()

      Return the preferences service.
      Returns:
        IPreferences instance.

    - #### getPreferencesDelegate

          IPreferencesDelegate getPreferencesDelegate()

      Get the optional preferences delegate for the API.
      Returns:
        IPreferencesDelegate instance.

    - #### getResourceListeners

          java.util.List getResourceListeners()

      Returns the list of Resource listeners.
      Returns:
        List of Resource listeners.

    - #### getModificationStamp

          long getModificationStamp(org.eclipse.emf.ecore.resource.Resource aResource)

      Get the in-memory modification stamp for the specified resource.
      Parameters:
        `aResource` - Resource whose modification stamp is to be returned.
      Returns:
        Modification stamp for resource.

    - #### isInhibitNotification

          boolean isInhibitNotification()

      Accessor method for indicator that controls EMF model change notification.
      Returns:
        `true` if EMF model change notifications are inhibited.

    - #### isPostLoadInProgress

          boolean isPostLoadInProgress()

      Check to determine whether post load processing is currently in progress.
      Returns:
        `true` if post load processing is currently in progress.

    - #### isOperationModeNormal

          boolean isOperationModeNormal()

      Determine whether operation mode is normal (i.e., no undo/redo in progress).
      Returns:
        `true` if no undo/redo is in progress.

    - #### isOperationModeUndo

          boolean isOperationModeUndo()

      Determine whether undo is in progress.
      Returns:
        `true` if undo is in progress.

    - #### isOperationModeRedo

          boolean isOperationModeRedo()

      Determine whether redo is in progress.
      Returns:
        `true` if redo is in progress.

    - #### isPostLoadComplete

          boolean isPostLoadComplete(org.eclipse.emf.ecore.resource.Resource aResource,
                                   java.lang.Class aClass)

      Check to determine whether post-load processing has been completed for the specified Resource/API class.
      Parameters:
        `aResource` - Resource to test.
        `aClass` - API class to test.
      Returns:
        `true` if post load processing has been completed for the Resource/API.

    - #### isBatchNotifications

          boolean isBatchNotifications()

      Accessor method for indicator that controls EMF model change notification queuing.
      Returns:
        `true` if EMF model change notifications are queued.

    - #### isResourceActivated

          boolean isResourceActivated(org.eclipse.emf.ecore.resource.Resource aResource)

      Check to determine whether the specified resource is activated.
      Parameters:
        `aResource` - Resource to test.
      Returns:
        `true` if the specified resource is activated.

    - #### isResourceConflict

          boolean isResourceConflict(org.eclipse.emf.ecore.resource.Resource aResource)

      Determine whether the given Resource has a modification stamp on disk that differs from that which is recorded in the API. This method can be used to detect whether a given resource has been altered by a "foreign" editor.
      Parameters:
        `aResource` - Resource whose time stamp should be tested.
      Returns:
        `true` if disk resource modification stamp does not match API records.

    - #### isResourceDemandLoaded

          boolean isResourceDemandLoaded(org.eclipse.emf.ecore.resource.Resource aResource)

      Check to determine whether the specified resource was demand-loaded via loadResource as opposed to lazy-loaded.
      Parameters:
        `aResource` - Resource to test.
      Returns:
        `true` if the specified resource was demand-loaded.

    - #### isResourceLoaded

          boolean isResourceLoaded(org.eclipse.emf.ecore.resource.Resource aResource)

      Determine whether the specified resource is loaded.
      Parameters:
        `aResource` - Resource to test.
      Returns:
        `true` if specified resource is loaded.

    - #### isResourceReferenced

          boolean isResourceReferenced(org.eclipse.emf.common.util.URI aURI)

      Determine whether the resource, specified by a URI, is referenced by any other resource that is currently in the editing domain. This method will return the correct answer regardless of whether the referenced resource is actually loaded.
      Parameters:
        `aURI` - URI of referenced resource.
      Returns:
        `true` if that resource is referenced by any other.

    - #### isResourceUpgraded

          boolean isResourceUpgraded(org.eclipse.emf.ecore.resource.Resource aResource)

      Determine whether the resource was upgraded in postLoad.
      Parameters:
        `aResource` - Resource to be tested.
      Returns:
        `true` if Resource was upgraded in postLoad.

    - #### isResourceRevalidated

          boolean isResourceRevalidated(org.eclipse.emf.ecore.resource.Resource aResource)

      Determine whether the resource was revalidated in postLoad.
      Parameters:
        `aResource` - Resource to be tested.
      Returns:
        `true` if Resource was revalidated in postLoad.

    - #### isSuppressModifiedFlagUpdates

          boolean isSuppressModifiedFlagUpdates()

      Check to determine whether updates to the resource modified flag are being suppressed.
      Returns:
        `true` if updates to modified flag are being suppressed.

    - #### isSuppressMessageBoxes

          boolean isSuppressMessageBoxes()

      Check to determine whether message box display is currently suppressed.
      Returns:
        `true` if message box display is currently suppressed.

    - #### isSuppressPostLoad

          boolean isSuppressPostLoad()

      Check to determine whether post load processing is currently suppressed.
      Returns:
        `true` if post load processing is currently suppressed.

    - #### isTransactionInProgress

          boolean isTransactionInProgress()

      Return `true` if a transaction is currently in progress.
      Returns:
        `true` if a transaction is currently in progress.

    - #### isValidateComplete

          boolean isValidateComplete(org.eclipse.emf.ecore.resource.Resource aResource,
                                   java.lang.Class aClass,
                                   java.lang.Object aObjectNotification)

      Check to determine whether validation processing has been completed for the specified Resource/API class/Notification.
      Parameters:
        `aResource` - Resource to test.
        `aClass` - API class to test.
        `aObjectNotification` - Notification object.
      Returns:
        `true` if validation has been completed for the Resource/API/Notification.

    - #### setChangeRecorder

          void setChangeRecorder(org.eclipse.emf.ecore.change.util.ChangeRecorder aChangeRecorder)

      Method to set the current ChangeRecorder.
      Parameters:
        `aChangeRecorder` - ChangeRecorder instance.

    - #### setChangeRecorderUsageCount

          void setChangeRecorderUsageCount(int aiChangeRecorderUsageCount)

      Setter for ChangeRecorder usage count.
      Parameters:
        `aChangeRecorder` - ChangeRecorder usage count.

    - #### setDebugSysout

          void setDebugSysout(boolean abDebugSysout)

      Setter to enable system output diagnostics.
      Parameters:
        `abDebugSysout` - `true` to enable diagnostics.

    - #### isDebugSysout

          boolean isDebugSysout()

      Accessor method for system diagnostics state.
      Returns:
        `true` if diagnostics are enabled.

    - #### isDisableTransactions

          boolean isDisableTransactions()

      Getter for disable transactions mode.
      Returns:
        `true` if transactions are disabled.

    - #### isDisableRefresh

          boolean isDisableRefresh()

      Accessor method for disable refresh state. This method is only applicable when running with Eclipse workspace.
      Returns:
        `true` if refreshing of Eclipse workspace on resource save is disabled.

    - #### isSaveInProgress

          boolean isSaveInProgress()

      Check to determine whether save is in progress.
      Returns:
        `true` if save is in progress.

    - #### isScrollableMessageDelegateAvailable

          boolean isScrollableMessageDelegateAvailable()

      Check to determine whether scrollable message delegate is available.
      Returns:
        `true` if scrollable message delegate is available.

    - #### loadResource

          org.eclipse.emf.ecore.resource.Resource loadResource(org.eclipse.emf.common.util.URI aURIResource)

      Convenience method to load the the editing domain's resource set with the contents of the specified file.
      Parameters:
        `aURIResource` - URI of resource to load.
      Returns:
        Resource that was loaded or `null` if an error occurs.

    - #### loadResource

          org.eclipse.emf.ecore.resource.Resource loadResource(org.eclipse.emf.common.util.URI aURIResource,
                                                             boolean abDemandLoad)

      Convenience method to load the the editing domain's resource set with the contents of the specified file.
      Parameters:
        `aURIResource` - URI of resource to load.
        `abDemandLoad` - `true` to indicate that Resource is should be considered demand-loaded.
      Returns:
        Resource that was loaded or `null` if an error occurs.

    - #### redo

          void redo()

      Redo current changes.

    - #### reloadResource

          org.eclipse.emf.ecore.resource.Resource reloadResource(org.eclipse.emf.ecore.resource.Resource aResource)

      Reload the specified resource (unload/load).
      Parameters:
        `aResource` - Resource to be reloaded.
      Returns:
        Resource that was reloaded.

    - #### removeModelListener

          void removeModelListener(org.eclipse.emf.edit.provider.INotifyChangedListener aINotifyChangedListener)

      Remove an EMF model listener (i.e., un-subscribe).
      Parameters:
        `aINotifyChangedListener` - Listener instance to remove from subscription list.

    - #### removeBatchedModelListener

          void removeBatchedModelListener(IBatchedChangeListener aIBatchedChangedListener)

      Remove an batched EMF model listener (i.e., un-subscribe).
      Parameters:
        `aIBatchedChangedListener` - Listener instance to remove from subscription list.

    - #### removeLowLevelModelListener

          void removeLowLevelModelListener(org.eclipse.emf.edit.provider.INotifyChangedListener aINotifyChangedListener)

      Remove a low-level EMF model listener (i.e., un-subscribe).
      Parameters:
        `aINotifyChangedListener` - Listener instance to remove from subscription list.

    - #### removePostLoadComplete

          void removePostLoadComplete(org.eclipse.emf.ecore.resource.Resource aResource)

      Remove all post-load completion records for the specified resource.
      Parameters:
        `aResource` - Resource whose post-load records are to be removed.

    - #### removeResource

          void removeResource(org.eclipse.emf.ecore.resource.Resource aResource)

      Remove the specified resource from the resource set.
      Parameters:
        `aResource` - Resource to be removed.

    - #### removeResourceListener

          void removeResourceListener(IResourceListener aIResourceListener)

      Remove a resource listener (i.e., un-subscribe).
      Parameters:
        `aIResourceListener` - Resource listener instance to remove from subscription list.

    - #### rollbackTransaction

          boolean rollbackTransaction()

      Rollback the current transaction, leaving the API in its state as of the first beginTransaction.

    - #### saveAll

          void saveAll()

      Save all resource changes.

    - #### saveResource

          void saveResource(org.eclipse.emf.ecore.resource.Resource aResource)

      Save the contents of the specified resource to the file system with no special options.
      Parameters:
        `aResource` - Resource instance to save

    - #### setDisableTransactions

          void setDisableTransactions(boolean abDisableTransactions)

      Setter to disable/enable transactions.
      Parameters:
        `abDisableTransactions` - true if transactions should be disabled

    - #### setDisableRefresh

          void setDisableRefresh(boolean abDisableRefresh)

      Setter to disable/enable automatic refresh of workspace on asset save.
      Parameters:
        `abDisableRefresh` - `true` if refresh workspace should be disabled.

    - #### setEditingDomain

          void setEditingDomain(org.eclipse.emf.edit.domain.AdapterFactoryEditingDomain aAdapterFactoryEditingDomain)

      Setter for the editing domain. Specifies the editing domain upon which this API operates.
      Parameters:
        `aAdapterFactoryEditingDomain` - Instance of the editing domain.

    - #### setLocale

          void setLocale(java.util.Locale aLocale)

      Set API Locale.
      Parameters:
        `Locale` - for this API.

    - #### setInhibitNotification

          void setInhibitNotification(boolean abInhibitNotification)

      Setter for indicator that controls EMF model change notification.
      Parameters:
        `abInhibitNotification` - `true` to inhibit EMF model change notifications.

    - #### setMessageBoxDelegate

          void setMessageBoxDelegate(IMessageBoxDelegate aIMessageBoxDelegate)

      Set the optional message box delegate for the API.
      Parameters:
        `aIMessageBoxDelegate` - Message box delegate instance.

    - #### setModelListeners

          void setModelListeners(java.util.List aListModelListeners)

      Set the list of model listeners.
      Parameters:
        `aListModelListeners` - List of model listeners.

    - #### setPersistenceServicesDelegate

          void setPersistenceServicesDelegate(IPersistenceServicesDelegate aIPersistenceServicesDelegate)

      Set the optional persistence services delegate for the API.
      Parameters:
        `aIPersistenceServicesDelegate` - Persistence services delegate instance.

    - #### setPreferencesDelegate

          void setPreferencesDelegate(IPreferencesDelegate aIPreferencesDelegate)

      Set the optional preferences delegate for the API.
      Parameters:
        `aIPreferencesDelegate` - Preferences delegate instance.

    - #### setPostLoadInProgress

          void setPostLoadInProgress(boolean abPostLoadInProgress)

      Setter for post load in progress indicator.
      Parameters:
        `abPostLoadInProgress` - `true` to indicate that post load is in progress.

    - #### setModificationStamp

          void setModificationStamp(org.eclipse.emf.ecore.resource.Resource aResource,
                                  long alModificationStamp)

      Set the modification stamp for the specified Resource.
      Parameters:
        `aResource` - Resource whose modification stamp is to be set.
        `aDate` - Time stamp of save.

    - #### setBatchNotifications

          void setBatchNotifications(boolean abQueueNotifications)

      Setter for indicator that controls EMF model change notification queueing.
      Parameters:
        `abQueueNotifications` - `true` to queue EMF model change notifications.

    - #### setSaveInProgress

          void setSaveInProgress(boolean abSaveInProgress)

      Setter for save in progress indicator.
      Parameters:
        `abSaveInProgress` - `true` to set save in progress indicator.

    - #### setScrollableMessageDelegate

          void setScrollableMessageDelegate(IScrollableMessageDelegate aIScrollableMessageDelegate)

      Set the optional scrollable messages delegate for the API.
      Parameters:
        `aIScrollableMessageDelegate` - Message box delegate instance.

    - #### setSuppressModifiedFlagUpdates

          void setSuppressModifiedFlagUpdates(boolean abSuppressModifiedFlagUpdates)

      Setter for suppress modified flag updates indicator.
      Parameters:
        `abSuppressModifiedFlagUpdates` - `true` to set suppress modified flag updates indicator.

    - #### setSuppressMessageBoxes

          void setSuppressMessageBoxes(boolean abSuppressMessageBoxes)

      Setter for suppress message boxes indicator.
      Parameters:
        `abSuppressMessageBoxes` - `true` to set suppress message boxes indicator.

    - #### setSuppressPostLoad

          void setSuppressPostLoad(boolean abSuppressPostLoad)

      Setter for suppress post load indicator.
      Parameters:
        `abSuppressPostLoad` - `true` to set suppress post load indicator.

    - #### setUserInterfaceInfoDelegate

          void setUserInterfaceInfoDelegate(IUserInterfaceInfoDelegate aIUserInterfaceInfoDelegate)

      Set the optional user interface info delegate for the API.
      Parameters:
        `aIUserInterfaceInfoDelegate` - User interface info delegate instance.

    - #### signalRevalidated

          void signalRevalidated(org.eclipse.emf.ecore.resource.Resource aResource)

      Signal that the specified Resource was revalidated in postLoad by recording it LoadResults.
      Parameters:
        `aResource` - Resource that was revalidated.

    - #### signalUpgraded

          void signalUpgraded(org.eclipse.emf.ecore.resource.Resource aResource)

      Signal that the specified Resource was upgraded in postLoad by recording it LoadResults.
      Parameters:
        `aResource` - Resource that was upgraded.

    - #### undo

          void undo()

      Undo current changes.

    - #### unloadResource

          void unloadResource(org.eclipse.emf.ecore.resource.Resource aResource)

      Unload the specified resource. This essentially resets the resource to unchanged state.
      Parameters:
        `aResource` - Resource to unload.

    - #### getNotificationBatch

          NotificationBatch getNotificationBatch()

      Returns the current notification batch.
      Returns:
        Current notification batch.

    - #### getScrollableMessageDelegate

          IScrollableMessageDelegate getScrollableMessageDelegate()

      Get the scrollable message delegate for this API.
      Returns:
        Instance of IScrollableMessageDelegate.

    - #### getStudioLicense

          com.corticon.license.IStudioLicense getStudioLicense()

      Return the Studio License if it exists. If not, then we need to load it into memory.
      Returns:
        IStudioLicense Studio license instance.

    - #### getUserInterfaceInfoDelegate

          IUserInterfaceInfoDelegate getUserInterfaceInfoDelegate()

      Get the user interface info delegate for this API.
      Returns:
        User interface info delegate or `null` if none has been specified.

Copyright © 2005-2013 Progress Software Corporation and/or its subsidiaries and affiliates. All rights reserved.